# RPKI Engine MySQL Setup

You need to install MySQL and set up the relevant databases before starting
rpkid, irdbd, or pubd.

See the [Installation Guide][1] for details on where to download MySQL and
find documentation on installing it.

See the [Configuration Guide][2] for details on the configuration file
settings the daemons will use to find and authenticate themselves to their
respective databases.

Before you can (usefully) start any of the daemons, you will need to set up
the MySQL databases they use. You can do this by hand, or you can use the
`rpki-sql-setup` script, which prompts you for your MySQL root password then
attempts to do everything else automatically using values from rpki.conf.

Using the script is simple:

    
    
    $ rpki-sql-setup
    Please enter your MySQL root password:
    

The script should tell you what databases it creates. You can use the -v
option if you want to see more details about what it's doing.

If you'd prefer to do the SQL setup manually, perhaps because you have
valuable data in other MySQL databases and you don't want to trust some random
setup script with your MySQL root password, you'll need to use the MySQL
command line tool, as follows:

    
    
    $ mysql -u root -p
    
    mysql> CREATE DATABASE irdb_database;
    mysql> GRANT all ON irdb_database.* TO irdb_user@localhost IDENTIFIED BY 'irdb_password';
    mysql> CREATE DATABASE rpki_database;
    mysql> GRANT all ON rpki_database.* TO rpki_user@localhost IDENTIFIED BY 'rpki_password';
    mysql> USE rpki_database;
    mysql> SOURCE $top/schemas/sql/rpkid.sql;
    mysql> COMMIT;
    mysql> quit
    

where `irdb_database`, `irdb_user`, `irdb_password`, `rpki_database`,
`rpki_user`, and `rpki_password` match the values you used in your
configuration file.

If you are running pubd and are doing manual SQL setup, you'll also have to
do:

    
    
    $ mysql -u root -p
    mysql> CREATE DATABASE pubd_database;
    mysql> GRANT all ON pubd_database.* TO pubd_user@localhost IDENTIFIED BY 'pubd_password';
    mysql> USE pubd_database;
    mysql> SOURCE $top/schemas/sql/pubd.sql;
    mysql> COMMIT;
    mysql> quit
    

where `pubd_database`, `pubd_user` `pubd_password` match the values you used
in your configuration file.

Once you've finished configuring MySQL, the next thing you should read is the
instructions for the [user interface tools][3].

   [1]: #_.wiki.doc.RPKI.Installation

   [2]: #_.wiki.doc.RPKI.CA.Configuration

   [3]: #_.wiki.doc.RPKI.CA.UI

